import request from '@/utils/request';

// 专家 - 服务需求
export function demand(data) {
  return request({
    url: '/enterprise/v1/service/demand',
    method:'post',
    data
  });
}
// 专家 - 服务需求 -- 添加
export function demandAdd(data) {
  return request({
    url: '/enterprise/v1/service/demand/add',
    method:'post',
    data
  });
}
// 专家 - 服务需求 -- 修改
export function demandEdit(data) {
  return request({
    url: '/enterprise/v1/service/demand/edit',
    method:'post',
    data
  });
}
// 专家 - 服务需求 -- 详情
export function demandDetail(data) {
  return request({
    url: '/enterprise/v1/service/demand/detail',
    method:'post',
    data
  });
}
// 专家 - 服务需求 -- 删除
export function demandDelete(data) {
  return request({
    url: '/enterprise/v1/service/demand/delete',
    method:'post',
    data
  });
}
// ------------------------------------------------------
// 专家 - 已合作/想合作 （1/2）
export function enterprise(data) {
  return request({
    url: '/enterprise/v1/manage/enterprise',
    method:'post',
    data
  });
}
// 专家 - 已合作/想合作 -- 新增
export function enterpriseAdd(data) {
  return request({
    url: '/enterprise/v1/manage/enterprise/add',
    method:'post',
    data
  });
}
// 专家 - 已合作/想合作 -- 修改
export function enterpriseEdit(data) {
  return request({
    url: '/enterprise/v1/manage/enterprise/edit',
    method:'post',
    data
  });
}
// 专家 - 已合作/想合作 -- 删除
export function enterpriseDelete(data) {
  return request({
    url: '/enterprise/v1/manage/enterprise/delete',
    method:'post',
    data
  });
}




// 专家 - 合作详情
export function cooperateDetail(data) {
  return request({
    url: '',
    method:'post',
    data
  });
}